%define checkout 20130401git81aadb8

Summary: X.org glamor library
Name: xorg-x11-glamor
Version: 0.5.0
Release: 0.%{checkout}%{?dist}
License: MIT
Group: System Environment/Libraries
URL: http://www.freedesktop.org/wiki/Software/Glamor


# source tarball has to be created from git using make-git-snapshot.sh
# if checkout value is 20130401git81aadb8 then create the tar with :
# ./make-git-snapshot.sh 81aadb8
# http://cgit.freedesktop.org/xorg/driver/glamor/
Source0: %{name}-%{checkout}.tar.xz
Source1: make-git-snapshot.sh

BuildRequires: pkgconfig autoconf automake libtool
BuildRequires: xorg-x11-server-devel
BuildRequires: mesa-libgbm-devel

%description
glamor provides xorg-x11 acceleration using the OpenGL driver.

%package devel
Summary: X.org glamor renderer development package
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: pkgconfig

%description devel
X.org glamor development package

%prep
%setup -q -n %{name}-%{checkout}

%build
autoreconf --install
%configure --disable-static --disable-glx-tls
make %{?_smp_mflags}

%install
# core libs and headers, but not drivers.
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name '*.la' -delete

%files
%{_libdir}/libglamor.so*
%{_libdir}/xorg/modules/libglamoregl.so
%{_datadir}/X11/xorg.conf.d/glamor.conf

%files devel
%{_includedir}/xorg/glamor.h
%{_libdir}/pkgconfig/glamor.pc
%{_libdir}/pkgconfig/glamor-egl.pc


%changelog
* Thu Mar 28 2013 Jerome Glisse <jglisse@redhat.com> 0.5.0-0
- Initial package
